Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Activator_Callback Interface Reference

A call back interface for ComponentServer. More...

`import "CIAO_Servers.idl";`

List of all members.

## Public Methods
Components::Deployment::ServerActivator | register_component_server (in Components::Deployment::ComponentServer svr, out Components::ConfigValues config)

## Detailed Description

A call back interface for ComponentServer.

Notice that this implementation is *NOT* thread-safe.

## Member Function Documentation

Components::Deployment::ServerActivator CIAO::Activator_Callback::register_component_server | ( | in Components::Deployment::ComponentServer | svr,
|  | out Components::ConfigValues | config
| ) |

The documentation for this interface was generated from the following file:

- CIAO_Servers.idl